<!DOCTYPE html>
<html>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=1.0">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<?php 
wp_head(); 
$post_name = 'generic';
if(!empty($post->post_name)) $post_name = $post->post_name;

?>
</head>
<body id="<?php echo $post_name; ?>" <?php body_class('pg-'.$post_name); ?>>
<?php get_template_part('template-parts/header'); ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

<?php the_content(); ?>
<?php wp_link_pages(); ?>
<?php edit_post_link(); ?>

<?php endwhile; ?>

<?php
if ( get_next_posts_link() ) {
next_posts_link();
}
?>
<?php
if ( get_previous_posts_link() ) {
previous_posts_link();
}
?>

<?php else: ?>

<p>No posts found. :(</p>

<?php endif; ?>

<?php get_template_part('template-parts/footer'); ?>
<?php wp_footer(); ?>

</body>
</html>