/*
    Homepage Feature Carousel
*/
var homepageFeature = document.querySelectorAll(".mod-feature.splide");
if (homepageFeature.length > 0) {
    homepageFeature.forEach(function (carousel) {
        new Splide(carousel, {
            type    : 'fade',
            perPage : 1,
            focus: 0,
            autoplay: 'play',
            rewind: true,
            // cover      : true,
            // heightRatio: 0.45,
            height: '48vw',
            pagination: true,
            arrowPath: '0.0 0.0',
            classes: {
                arrows: 'splide__arrows',
                arrow : 'splide__arrow pannosFeature-arrow',
                prev  : 'splide__arrow--prev pannosFeature-arrow-prev',
                next  : 'splide__arrow--next pannosFeature-arrow-next',
                pagination: 'splide__pagination pannosFeature-dots',
                page      : 'splide__pagination__page pannosFeature-dot',
            },
            breakpoints: {
                950: {
                    autoplay: 'pause',
                    destroy: true,
                    height: 'auto',
                    autoHeight: true,
                    drag: false
                },
           }
        }).mount();
    });
}

$(".js-print-rate").off("click").on("click",function(e) {

    e.preventDefault();
    $("body").addClass("print_rates");
    $("body").height($(this).parent().height());
    $(".currentRate").removeClass("currentRate");
    $(this).parent().addClass("currentRate");

    window.print();
});